package domain

type AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItemdiscountDeleteactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest) SetActivityId(v int64) *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest) SetOutActId(v string) *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest) SetByChannel(v bool) *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest) SetChannelConfigList(v []AlibabaWdkMarketingItemdiscountDeleteactivityChannelConfig) *AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.ChannelConfigList = &v
	return s
}
